const { parseToRgb } = require('polished');
const { pxToRem } = require('./utils');
const { colorsMap } = require('./colors');

const { red, green, blue } = parseToRgb(colorsMap.night);

const outerValues = [{ y: 1, blur: 2 }, { y: 2, blur: 4 }, { y: 3, blur: 6 }, { y: 6, blur: 12 }, { y: 12, blur: 24 }];
const outer = outerValues.reduce((obj, { x, y, spread, blur }, index) => {
  const scale = index + 1;
  // eslint-disable-next-line no-param-reassign
  obj[`shadow-${scale}`] = `0 ${pxToRem(y)} ${pxToRem(blur)} rgba(${red}, ${green}, ${blue}, 0.1)`;
  return obj;
}, {});

const innerValues = [{ y: 1, blur: 3 }, { y: 0, blur: 6 }];
const inner = innerValues.reduce((obj, { x, y, spread, blur }, index) => {
  const scale = index + 1;
  // eslint-disable-next-line no-param-reassign
  obj[`inner-shadow-${scale}`] = `inset 0 ${pxToRem(y)} ${pxToRem(blur)} rgba(${red}, ${green}, ${blue}, 0.2)`;
  return obj;
}, {});

const innerNValues = [{ y: -1, blur: 3 }];
const innerN = innerNValues.reduce((obj, { x, y, spread, blur }, index) => {
  const scale = index + 1;
  // eslint-disable-next-line no-param-reassign
  obj[`inner-shadow-n${scale}`] = `inset 0 ${pxToRem(y)} ${pxToRem(blur)} rgba(${red}, ${green}, ${blue}, 0.2)`;
  return obj;
}, {});

module.exports = {
  outer,
  inner,
  innerN,
};
