const { pxToRem } = require('./utils');

const typeface = {
  serif: 'serif',
  'sans-serif': 'Lato, Helvetica Neue, Helvetica, Arial, sans-serif',
  monospace: 'monospace',
};

const weightsValues = [{ name: 'regular', value: 400 }, { name: 'bold', value: 700 }];
const weights = weightsValues.reduce((obj, { name, value }) => {
  // eslint-disable-next-line no-param-reassign
  obj[`${name}`] = `${value}`;
  return obj;
}, {});

const fontSizesValues = [
  { name: 'xxl', value: 36 },
  { name: 'xl', value: 24 },
  { name: 'l', value: 18 },
  { name: '', value: 16 },
  { name: 's', value: 14 },
  { name: 'xs', value: 12 },
  { name: 'xxs', value: 8 },
];
const fontSizes = fontSizesValues.reduce((obj, { name, value }) => {
  // eslint-disable-next-line no-param-reassign
  obj[`text${name ? `-${name}` : ''}`] = pxToRem(value);
  return obj;
}, {});

const letterSpacingValues = [0.5, 1.0, 1.5];
const letterSpacings = letterSpacingValues.reduce((obj, value, index) => {
  const scale = index + 1;
  // eslint-disable-next-line no-param-reassign
  obj[`letter-spacing-${scale}`] = pxToRem(value);
  return obj;
}, {});

module.exports = {
  typeface,
  weights,
  fontSizes,
  letterSpacings,
};
